diff make/make.sh @ 72:3232f421c770

Exit if any of the patches fail to apply, show name of each patch as it's applied, and use the patched Documentation directory to build htmldocs.
author Rob Landley <rob@landley.net>
date Tue, 16 Oct 2007 21:44:50 -0500
parents 86151d3b2003
children 6adf16f10d54
line wrap: on
line diff
--- a/make/make.sh	Tue Oct 16 01:30:31 2007 -0500
+++ b/make/make.sh	Tue Oct 16 21:44:50 2007 -0500
@@ -88,7 +88,11 @@
 rm -rf $WEBDIR/Documentation/
 cp -a $LNXDIR/hg/Documentation $WEBDIR/Documentation
 cd $WEBDIR
-cat make/patches/*.patch | patch -p1
+for i in make/patches/*.patch
+do
+  echo $i
+  patch -p1 -i $i || exit 1
+done
 make/docdiridx.py
 
 [ "$1" == "--short" ] && exit 1
@@ -100,6 +104,9 @@
 mkdir $LNXDIR/temp
 make allnoconfig O=$LNXDIR/temp
 
+# Adjust to use the patched Documentation directory
+ln -s $WEBDIR/Documentation $LNXDIR/temp
+
 # I have a dual processor laptop, so overlap work here.  Generate the xml
 # first, then have make htmldocs produce split-up versions in the background
 # while a script produces nochunks versions in the foreground.
@@ -125,8 +132,8 @@
 
 echo Install htmldocs and update index
 
-rm -rf $WEBDIR/htmldocs
-cp -a $LNXDIR/temp/Documentation/DocBook $WEBDIR/htmldocs
+rm -f $WEBDIR/htmldocs
+ln -s Documentation/DocBook $WEBDIR/htmldocs
 cd $WEBDIR/htmldocs
 # Work around a bug in xmlto: it puts an incorrect code page into the converted
 # html documents, which produces line noise in the output.